# Retrieve an option value

> Retrieve a single option value by its identifier.

`GET /rest/api/product_options/{productOptionId}/option_values/{optionValueId}`

Retrieves a Option Value resource.

Returns a single value of an option by id. Set the `X-Flowkiwi-Locale` header to read the translatable `value` in a given locale.

## Headers

| Name                         | Type      | Required | Description                                                                                                                                       |
| ---------------------------- | --------- | -------- | ------------------------------------------------------------------------------------------------------------------------------------------------- |
| `X-Flowkiwi-Organization-Id` | `string`  | Yes      | The organization the request acts as. Determines the identity, permissions and ownership applied when reading or modifying data on the instance.  |
| `X-Flowkiwi-Locale`          | `string`  | -        | Specifies the locale for properties that support localization. If not provided, the default locale will be used.                                  |
| `X-Flowkiwi-Locale-Fallback` | `boolean` | -        | Enables the use of a fallback locale. If a property lacks a translation for the requested locale, the value from the default locale will be used. |

## Path parameters

| Name              | Type     | Required | Description                      |
| ----------------- | -------- | -------- | -------------------------------- |
| `productOptionId` | `string` | Yes      | ProductOptionResource identifier |
| `optionValueId`   | `string` | Yes      | Option Value identifier          |

## Response

**200** - Option Value resource

| Property        | Type              | Required | Description                                                                            |
| --------------- | ----------------- | -------- | -------------------------------------------------------------------------------------- |
| `@context`      | `object`          | -        |                                                                                        |
| `@id`           | `string`          | Yes      |                                                                                        |
| `@type`         | `string`          | Yes      |                                                                                        |
| `id`            | `string`          | -        |                                                                                        |
| `value`         | `string \| null`  | Yes      | **This property supports translations.**<br><br>The value of the option.               |
| `position`      | `integer \| null` | -        | The position of the option value. Use -1 to put the option value at the end.           |
| `productOption` | `string`          | Yes      | The `Product Option` to which this option value belongs.                               |
| `variants`      | `string[]`        | -        | A list of `Variant`, each one representing a variant associated with the option value. |
| `createdAt`     | `string`          | -        | The date and time when the resource was created (ISO 8601 format).                     |
| `updatedAt`     | `string`          | -        | The date and time when the resource was last modified (ISO 8601 format).               |

## Errors

**403** - Access denied. The caller is missing one or more identity permissions required for this operation.

| Property             | Type       | Required | Description                                                                                                                                |
| -------------------- | ---------- | -------- | ------------------------------------------------------------------------------------------------------------------------------------------ |
| `@context`           | `object`   | -        |                                                                                                                                            |
| `@id`                | `string`   | Yes      |                                                                                                                                            |
| `@type`              | `string`   | Yes      |                                                                                                                                            |
| `type`               | `string`   | -        |                                                                                                                                            |
| `title`              | `string`   | -        |                                                                                                                                            |
| `status`             | `integer`  | -        |                                                                                                                                            |
| `detail`             | `string`   | -        |                                                                                                                                            |
| `missingPermissions` | `string[]` | -        | Identity permissions that the caller is missing for this operation. Present only when the 403 is caused by a denied identity:* permission. |

**404** - Not found

| Property   | Type             | Required | Description                                                                                                                          |
| ---------- | ---------------- | -------- | ------------------------------------------------------------------------------------------------------------------------------------ |
| `@context` | `object`         | -        |                                                                                                                                      |
| `@id`      | `string`         | Yes      |                                                                                                                                      |
| `@type`    | `string`         | Yes      |                                                                                                                                      |
| `title`    | `string \| null` | -        | A short, human-readable summary of the problem.                                                                                      |
| `detail`   | `string \| null` | -        | A human-readable explanation specific to this occurrence of the problem.                                                             |
| `status`   | `number \| null` | -        |                                                                                                                                      |
| `instance` | `string \| null` | -        | A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced. |
| `type`     | `string`         | -        | A URI reference that identifies the problem type                                                                                     |

## Examples

### Example request

```bash
curl -X GET 'https://<tenant>.product-management.flowkiwi.net/rest/api/product_options/<option_id>/option_values/<option_value_id>' \
  -H 'Authorization: Bearer {token}' \
  -H 'X-Flowkiwi-Organization-Id: <org_id>' \
  -H 'Accept: application/ld+json'
```

### Example response

```json
{
  "@context": "/rest/api/contexts/OptionValue",
  "@id": "/rest/api/OptionValues/7d572291-d7bc-5108-9891-0758dce167f3",
  "@type": "OptionValue",
  "id": "7d572291-d7bc-5108-9891-0758dce167f3",
  "value": "Blue",
  "position": 0,
  "productOption": "/rest/api/productOptions/5be56050-aac5-5a2a-83b0-05aaba3f2f22",
  "variants": [
    "/rest/api/variants/74f1b9de-16b3-5b14-9512-68f256acc308",
    "/rest/api/variants/46e30801-fe92-50a2-bbc2-7c7dc02e45b2"
  ],
  "createdAt": "2024-01-01T00:00:00+00:00",
  "updatedAt": "2024-01-01T00:00:00+00:00"
}
```
